<<  Overview
Contents
  1. Desktop Version of InnoList: Java-Versions tested
  2. InnoList in Own Web Server

Compatibility Deployment: Web Servers/Java

This page contains information about the combatibility of InnoList with different Web Servers/Java Versions.
Because of the large number of possible system configurations it cannot be guaranteed that InnoList runs with all Versions/Products, including the mentioned.

If your configuration is not shown, please refer to similar versions or use the test version of InnoList to check whether is runs on your system.

InnoList in Own Web Server

The following table shows Web Servers (Servlet/JSP) that have been tested successfully to run InnoList:

Server Server-Version Test Result Link
Apache Tomcat 8
Ok
http://tomcat.apache.org/
Apache Tomcat 9
Ok
http://tomcat.apache.org/
Apache TomEE 8.0.0 M1
Ok
http://tomee.apache.org
Wildfly (Servlet-Only Distribution) 14.0.1
15.0.0, 15.0.1
Ok
http://www.wildfly.org

Java-Version: The execution needs Java 8 or higher. It is also possible to use OpenJDK 8 or higher.

Not Supported Web Servers

The following Web Servers currently cannot be used to run InnoList:

Server Server-Version Test Result Link
Resin 4.0.59
No
http://www.caucho.com/resin-4.0
Jetty 9.4.14
No
http://www.eclipse.org/jetty
Glassfish 5
No
https://javaee.github.io/glassfish/
WebSphere Liberty WebProfile 8 - 18.0.0.4
No
https://developer.ibm.com/wasdev/downloads/download-latest-stable-websphere-liberty-runtime/
Apache TomEE 7.1.0
No
http://tomee.apache.org


Related Links